Bug 987599 - SELinux is preventing systemd-tmpfile from 'getattr' accesses on the chr_file /dev/snd/seq.
SELinux is preventing systemd-tmpfile from 'getattr' accesses on the chr_file...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a274c2ad2634f4ff369a8363421...
:
: 987602 987606 987610 987614 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 14:39 EDT by Nicolas Mailhot
Modified: 2014-08-22 08:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 08:04:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-07-23 14:39:03 EDT
Description of problem:
SELinux is preventing systemd-tmpfile from 'getattr' accesses on the chr_file /dev/snd/seq.

*****  Plugin catchall (100. confidence) suggests  ***************************

If vous pensez que systemd-tmpfile devrait être autorisé à accéder getattr sur seq chr_file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep systemd-tmpfile /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_tmpfiles_t:s0
Target Context                system_u:object_r:sound_device_t:s0
Target Objects                /dev/snd/seq [ chr_file ]
Source                        systemd-tmpfile
Source Path                   systemd-tmpfile
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-66.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.0-0.rc2.git1.1.fc20.x86_64 #1
                              SMP Tue Jul 23 14:24:16 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-07-23 20:26:28 CEST
Last Seen                     2013-07-23 20:26:28 CEST
Local ID                      37b054f6-085b-4af2-9415-b20120dfca4b

Raw Audit Messages
type=AVC msg=audit(1374603988.543:26): avc:  denied  { getattr } for  pid=570 comm="systemd-tmpfile" path="/dev/snd/seq" dev="devtmpfs" ino=10588 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:sound_device_t:s0 tclass=chr_file


Hash: systemd-tmpfile,systemd_tmpfiles_t,sound_device_t,chr_file,getattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.11.0-0.rc0.git3.1.fc20.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-24 04:33:32 EDT
*** Bug 987602 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2013-07-24 04:33:44 EDT
*** Bug 987606 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2013-07-24 04:34:02 EDT
*** Bug 987610 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Grepl 2013-07-24 04:34:19 EDT
*** Bug 987614 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2013-09-16 10:43:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.